%global srcname wcsaxes
%global sum A framework for plotting astronomical and geospatial data

Name:           python-%{srcname}
Version:        0.9
Release:        5%{?dist}
Summary:        %{sum}

License:        BSD and Python and ASL 2.0
# License breakdown
#
# In general (if not listed below): BSD
#
# Apache 2.0:
#   astropy_helpers/sphinx/themes/bootstrap-astropy/static/bootstrap-astropy.css
#
# Python:
#   wcsaxes/rc_utils.py
#
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/w/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

# Python 2 BuildRequires
BuildRequires:  python2-devel
BuildRequires:  python2-astropy
BuildRequires:  python2-astropy-helpers
BuildRequires:  python2-matplotlib
BuildRequires:  python2-numpy
BuildRequires:  python2-pytest
# Python3 BuildRequires
BuildRequires:  python3-devel
BuildRequires:  python3-astropy
BuildRequires:  python3-astropy-helpers
BuildRequires:  python3-matplotlib
BuildRequires:  python3-numpy
BuildRequires:  python3-pytest
# Needed to generate docs
BuildRequires:  python3-sphinx
# Some plotting tests require an X server
BuildRequires:  xorg-x11-server-Xvfb

%description
WCSAxes is a Python module which enhances matplotlib to plot astronomical and
geospatial data.

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}
Requires:       python2-astropy
Requires:       python2-matplotlib

%description -n python2-%{srcname}
WCSAxes is a Python module which enhances matplotlib to plot astronomical and
geospatial data.


%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}
Requires:       python3-astropy
Requires:       python3-matplotlib

%description -n python3-%{srcname}
WCSAxes is a Python module which enhances matplotlib to plot astronomical and
geospatial data.

%package -n python3-%{srcname}-doc
Summary:        Documentation for WCSAxes
%{?python_provide:%python_provide python3-%{srcname}-doc}

%description -n python3-%{srcname}-doc
This package contains the HTML documentation for the WCSAxes package.

%prep
%autosetup -n %{srcname}-%{version}
# Force usage of system astropy-helpers
sed -i "s/auto_use = True/auto_use = False/g" setup.cfg

%build
# Force build not to download any stuff
%global py_setup_args --offline
%py2_build
%py3_build
# Generate documentation
%{__python3} setup.py build_sphinx --offline
rm -f docs/_build/html/.buildinfo

%install
%py2_install
%py3_install


%check
pushd %{buildroot}/%{python2_sitelib}
xvfb-run -a py.test-%{python2_version} wcsaxes
# Remove test.png which is a result of tests...
rm -f test.png
popd

pushd %{buildroot}/%{python3_sitelib}
xvfb-run -a py.test-%{python3_version} wcsaxes
# Remove test.png which is a result of tests...
rm -f test.png
popd


%files -n python2-%{srcname}
%license licenses/*
%doc CHANGES.md README.md
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}-py?.?.egg-info

%files -n python3-%{srcname}
%license licenses/*
%doc CHANGES.md README.md
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py?.?.egg-info

%files -n python3-%{srcname}-doc
%license licenses/*
%doc CHANGES.md README.md docs/_build/html

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.9-4
- Rebuild for Python 3.6

* Fri Nov 18 2016 Christian Dersch <lupinix@mailbox.org> - 0.9-3
- Removed test.png from packages created by tests

* Tue Nov 15 2016 Christian Dersch <lupinix@mailbox.org> - 0.9-2
- Fixed wrong license and macro usage

* Tue Nov 15 2016 Christian Dersch <lupinix@mailbox.org> - 0.9-1
- Initial package

